def julia_iter(maxiter, c_real, c_imag, x, y, output):
    """
    Julia Updating Rule
    """
    num_x = len(x)
    
    for i in range(num_x):      
                    
        n = 0
        z_real = x[i]
        z_imag = y[i]
        tmp_real = z_real**2
        tmp_imag = z_imag**2            

        while n < maxiter and tmp_real + tmp_imag < 4:
            z_imag = 2*z_imag*z_real + c_imag
            z_real = tmp_real - tmp_imag + c_real                
            tmp_real = z_real**2
            tmp_imag = z_imag**2                  
            n += 1

        output[i] = n

    return output  