#include <stdio.h>
#include <omp.h>

void julia_iter(int maxiter, double c_real, double c_imag,
                double *x, double *y, int *output,
                int num_x)
{

    int i;

    #pragma omp parallel for num_threads(2) private(i)
    for(i = 0; i < num_x; i++){

    int n;
    double z_real, z_imag, tmp_real, tmp_imag;

        z_real = x[i];
        z_imag = y[i];
        tmp_real = z_real*z_real;
        tmp_imag = z_imag*z_imag;

        n = 0;

        while(n < maxiter & tmp_real + tmp_imag < 4.0){
            z_imag = 2.0*z_imag*z_real + c_imag;
            z_real = tmp_real - tmp_imag + c_real;
            tmp_real = z_real*z_real;
            tmp_imag = z_imag*z_imag;
            n += 1;
        }

        output[i] = n;

    }

}

void main(){
    printf("Hello World");
}
